### Function

# Gimp edit_named_paste_as_new_image

since: 2.10

#### Declaration [src]

    GimpImage*
    gimp_edit_named_paste_as_new_image (
      const gchar* buffer_name
    )

#### Description [src]

Paste named buffer to a new image.

This procedure works like `gimp_edit_paste_as_new_image()` but pastes a named buffer instead of the global buffer.

Available since: 2.10

#### Parameters

`buffer_name`

  Type: `const gchar*`

  The name of the buffer to paste.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpImage`

The new image.

The data is owned by the called function.